%define name          ucl
%define version 1.03
%define release 1mdk
%define lib_name_orig libucl
%define lib_major     1
%define lib_name      %mklibname %name %{lib_major}


# virtual package to enforce naming convention

Summary: The UCL Compression Library
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Source:         http://www.oberhumer.com/opensource/ucl/download/%name-%version.tar.bz2
URL:		http://www.oberhumer.com/opensource/ucl/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{lib_name}-buildroot

%description
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.


# main package (contains *.so.[major].* only)

%package -n %{lib_name}
Summary: The UCL Compression Library
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.


# devel part of the bundle

%package -n %{lib_name}-devel
Summary: The UCL Compression Library - development environment
Group: Development/C
Requires: %{lib_name} = %{version}-%release
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.

Install %{name} if you need to compile an application with %{lib_name}
support.


%prep 


%setup -q 

%build
%configure2_5x --enable-shared
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{lib_name} -p /sbin/ldconfig


%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.so.*


%files  -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/ucl/
%{_includedir}/ucl/*.h


%changelog
* Sat Oct  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- New release 1.03

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-1mdk
- major 1
- source URL
- New release 1.02

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.01-4mdk
- rebuild for new rpm

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.01-3mdk
- fix distriblint warning

* Sun Apr  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.01-2mdk
- use the right macros
- fix location of the headers

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- macros, url
- new version

* Mon Jun 18 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.92-1mdk
- Initial packaging.
